{% extends 'base.html'%}

{% block title %}Home{% endblock %}

{% block content%}
    {% if user.is_anonymous == False%}
        <h1 class="text-center my-3">Welcome {{ user.first_name }} {{user.last_name}}!</h1>
        
        {% if todoitem_list %}
            <div class="container">
                <div class="row">
                    <h3 class="text-center mb-3">My Tasks</h3>
                    <ul class="list-group col-lg-2 offset-lg-5 text-center">
                    {% for todoitem in todoitem_list %}
                        <a href="{% url 'todolist:viewtodoitem' todoitem.id %}" class="text-decoration-none">
                            <li class="list-group-item">{{ todoitem.task_name }}</li>
                        </a>
                    {% endfor %}
                    </ul>
                </div>
            </div>
        {% else %}
            <p class="text-center">No tasks have been created</p>
        {% endif %}
        </br>

        <h3 class="text-center mb-3">My Events</h3>
        {% if myevents_list %}
            <div class="container">
                <div class="row">
                    <ul class="list-group col-lg-2 offset-lg-5 text-center">
                    {% for myevent in myevents_list %}
                        <a href="{% url 'todolist:viewmyeventitem' myevent.id %}" class="text-decoration-none">
                            <li class="list-group-item">{{ myevent.event_name }}</li>
                        </a>
                    {% endfor %}
                    </ul>
                </div>
            </div>
        {% else %}
            <p class="text-center">No events have been created</p>
        {% endif %}

    {% elif user.is_anonymous == True %}
      	<h1 class="text-center my-3">You are not authorized to access this page.</h1>
		<p class="text-center">Kindly login <a href="{% url 'todolist:login' %}">here</a></p>
    {% endif %}       
{% endblock%}